extends Control

var startyear = 1989

## NewGame Options
func change_start_year(val):#change the date you start your company
	startyear = int(val)

## MENU
func start_game(packscene):
	packscene.get_node("HUD").year = startyear
	var t = $"/root/loader".load_json(ProjectSettings.get("Game/Resources/Themesmod"))
	var rech = $"/root/loader".load_json(ProjectSettings.get("Game/Resources/Researchmod"))
	var pl = $"/root/loader".load_json(ProjectSettings.get("Game/Resources/Platformsmod"))
	packscene.to_research = rech
	packscene.to_research["themes"] = t
	for plat in pl:
		if(pl[plat]["start"][2]<=startyear):
			packscene.platforms[plat] = pl[plat]
	get_tree().root.add_child(packscene,true)
	queue_free()

## MAIN
func _ready():
	#Newgame prep
	var packscene = load("res://GUI/devstudio.tscn").instance()
	var opres = load("res://GUI/Opresources.tscn").instance()
	var sev = load("res://GUI/Serverlist.tscn").instance()
	#Connections
	var connections = [
		$newgame.connect("pressed",self,"start_game",[packscene]),
		$Opresourcy.connect("pressed",self,"add_child",[opres]),
		$newgame/startyear.connect("value_changed",self,"change_start_year"),
		$online.connect("pressed",self,"add_child",[sev]),
	]
	print_debug(connections)