extends Control

var phase = 0

## Bar Adjust
func barmoved(val,which):
	print_debug(val,which)
	#First calulate the total
	var total = $adjust/redbar.value+$adjust/greenbar.value+$adjust/bluebar.value
	#Second display it on the bars
	$adjust/firsthalf.max_value = total
	$adjust/lasthalf.max_value = total
	$adjust/firsthalf.value = $adjust/redbar.value
	$adjust/lasthalf.value = $adjust/redbar.value+$adjust/greenbar.value

## Confirmation
func confirm():
	var gamename = $adjust/Title.text# I don't know why I did it this way...
	get_parent().get_parent().games_in_developement[gamename]["timer"] = get_parent().get_parent().games_in_developement[gamename]["phasetime"]
	var total = $adjust/redbar.value+$adjust/greenbar.value+$adjust/bluebar.value
	var rpercent = round(($adjust/redbar.value/total)*100)
	var gpercent = round(($adjust/greenbar.value/total)*100)
	var bpercent = round(($adjust/bluebar.value/total)*100)
	match(get_parent().get_parent().games_in_developement[gamename]["Phase"]):
		0:
			get_parent().get_parent().games_in_developement[gamename]["Engine"] = rpercent
			get_parent().get_parent().games_in_developement[gamename]["Gameplay"] = gpercent
			get_parent().get_parent().games_in_developement[gamename]["Story"] = bpercent
		1:
			get_parent().get_parent().games_in_developement[gamename]["Dialog"] = rpercent
			get_parent().get_parent().games_in_developement[gamename]["Level Design"] = gpercent
			get_parent().get_parent().games_in_developement[gamename]["AI"] = bpercent
		2:
			get_parent().get_parent().games_in_developement[gamename]["World Building"] = rpercent
			get_parent().get_parent().games_in_developement[gamename]["Graphics"] = gpercent
			get_parent().get_parent().games_in_developement[gamename]["Sound"] = bpercent
	get_parent().get_parent().games_in_developement[gamename]["Phase"] += 1
	queue_free()

## MAIN
func _ready():
	$adjust/phasenum.text = "Developement Phase #"+str(phase+1)
	var themes = ""
	var genres = ""
	for i in get_parent().get_parent().games_in_developement[$adjust/Title.text]["genres"]:
		genres+=i
	for i in get_parent().get_parent().games_in_developement[$adjust/Title.text]["themes"]:
		themes+=i
	$adjust/kindof.text = genres+"/"+themes
	match(get_parent().get_parent().games_in_developement[$adjust/Title.text]["Phase"]):
		0:
			$adjust/redbar/Label.text = "Engine"
			$adjust/greenbar/Label.text = "Gameplay"
			$adjust/bluebar/Label.text = "Story"
		1:
			$adjust/redbar/Label.text = "Dialog"
			$adjust/greenbar/Label.text = "Level Design"
			$adjust/bluebar/Label.text = "AI"
		2:
			$adjust/redbar/Label.text = "World Building"
			$adjust/greenbar/Label.text = "Graphics"
			$adjust/bluebar/Label.text = "Sound"
	var connections = [
		$adjust/redbar.connect("value_changed",self,"barmoved",[$adjust/redbar]),
		$adjust/greenbar.connect("value_changed",self,"barmoved",[$adjust/greenbar]),
		$adjust/bluebar.connect("value_changed",self,"barmoved",[$adjust/bluebar]),
		$confirm.connect("pressed",self,"confirm")
	]
	print_debug(connections)