extends Node2D

const POWER_CHANCE = 8

var mem = {
	"You":{#Let's use this as an example
		"experience":0,#Points you gain by making games and training. You can place them where you want.
		"research":300,#larger research points, faster research, Avoids making bugs, and helps in debugging
		"tech":300,#larger design points, also increased in bugs
		"design":300,#larger design points, also increased in bugs
		"speed":300,#Increases the chance of tech, design and bug points, debugs faster
		"special":"Owner",#This is for special stuff, owner means you don't take breaks
		"working_on":""#The game this staff memeber is working on
	}
}

## MAIN
func _physics_process(delta):
	#check for point generation chance #THIS IS WAY TOO HIGH!
	for member in mem:
		if(mem[member]["working_on"]!=""):#First check if it is actually working on something
			var chancenumber = randi()%9999-mem[member]["speed"]
			if(chancenumber < 2):#Good dice roll
				if(get_parent().get_node("Gameindev/Hbox").has_node(mem[member]["working_on"])):
					if(get_parent().get_node("Gameindev/Hbox/"+mem[member]["working_on"]+"/Release").disabled == true):#Still developing
						var techie = randi()%mem[member]["tech"]/POWER_CHANCE
						var designie = randi()%mem[member]["design"]/POWER_CHANCE
						var researchie = randi()%mem[member]["research"]/POWER_CHANCE
						var buggy = clamp(randi()%(mem[member]["tech"]+mem[member]["design"])/POWER_CHANCE,mem[member]["tech"]/POWER_CHANCE,9999-mem[member]["research"])
						get_parent().get_node("Gameindev/Hbox/"+mem[member]["working_on"]).add_points_to_game_dev(techie,designie,buggy)
						get_parent().get_parent().games_in_developement[mem[member]["working_on"]]["techpoints"]+=techie
						get_parent().get_parent().games_in_developement[mem[member]["working_on"]]["designpoints"]+=designie
						get_parent().get_parent().games_in_developement[mem[member]["working_on"]]["bugpoints"]+=buggy
						get_parent().add_research_points(researchie)#research points
					else:#Debugging
						var debugger = randi()%(mem[member]["speed"]+mem[member]["research"])/POWER_CHANCE
						get_parent().get_node("Gameindev/Hbox/"+mem[member]["working_on"]).add_points_to_game_dev(0,0,-debugger)
				else:
					mem[member]["working_on"] = ""