extends Node
# This loads stuff for other nodes, manages filesize, memory, and whatever needs to be externally handled

## JSON
func load_json(file):#Simple Json loader
	var f = File.new()
	var dat = {}
	if(f.file_exists(file)):
		f.open(file,f.READ)
		var jparse = JSON.parse(f.get_as_text())
		if(jparse.error == OK):
			dat = jparse.result
		else:
			print_debug("ERROR: "+jparse.error_string+"at line "+str(jparse.error_line))
		f.close()
	return dat